# Configures programs that primarily run via the command line
{ pkgs, ... }: {
  imports = [
    ./fish.nix # fish shell configuration
    ./lazygit.nix # my preferred git porcellain
    ./direnv.nix # smart cding
    ./mise.nix # version management for tools
    ./helix.nix # helix configuration, my CLI editor
  ];

  # stuff that doesn't fit into any other files
  home.packages = with pkgs; [
    comma # nix-shell a package by prefixing it with `,`
    ripgrep # well, it's grep
    fastfetch # gotta show system information somehow!
  ];
}
